Loading...
Searching...
No Matches
rc4.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | AVRC4

## Functions

AVRC4 * | av_rc4_alloc (void)
| Allocate an AVRC4 context.
int | av_rc4_init (struct AVRC4 *d, const uint8_t *key, int key_bits, int decrypt)
| Initializes an AVRC4 context.
void | av_rc4_crypt (struct AVRC4 *d, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypts / decrypts using the RC4 algorithm.